## com.sun.jersey.core.spi.scanning.uri
Interface UriSchemeScanner

All Known Implementing Classes:
  BundleSchemeScanner, FileSchemeScanner, JarZipSchemeScanner, VfsSchemeScanner

    public interface UriSchemeScanner

An interface for scanning URI-based resources and reporting those resources to a scanning listener.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`java.util.Set<java.lang.String>` | `getSchemes()` Get the set of supported URI schemes.
`void` | `scan(java.net.URI u, ScannerListener sl)` Perform a scan and report resources to a scanning listener.

Method Detail

### getSchemes

    java.util.Set<java.lang.String> getSchemes()

  Get the set of supported URI schemes.

  Returns:
    the supported URI schemes.

### scan

    void scan(java.net.URI u,
              ScannerListener sl)
              throws ScannerException

  Perform a scan and report resources to a scanning listener.

  Parameters:
    `u` - the URI to scan for resources.
    `sl` - the scanning listener to report entries.
  Throws:
    `ScannerException` - if an error occured while scanning.

Copyright © 2017 Oracle Corporation. All Rights Reserved.